Draft WireToBSpline/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{GuiCommand/es|Name=Draft_WireToBSpline|Workbenches=Boceto, Arquitectura|MenuLocation=Boceto-> Contorno a BSpline}}")
Line 1: Line 1:
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand/es|Name=Draft_WireToBSpline|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto-> Contorno a BSpline}}


==Description==
==Description==

Revision as of 15:52, 14 February 2014

Draft_WireToBSpline

Ubicación en el Menú
Boceto-> Contorno a BSpline
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)